NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.FlatSolidBuilder Class Reference

Represents a Flat As Solid feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FlatSolidBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.SheetMetal.AeroFlatSolidBuilder

Public Types

enum  OrientationType { Default, Edge, Csys }
 The enum defines how to orient flat solid body. More...
 
enum  TransformComponentsOption { None, Body, Csys }
 The enum defines how to represent PCB components on flat solid. More...
 

Public Member Functions

unsafe int ValidateBuilderData ()
 Validate the builder data More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Section AddedGeometry [get]
 Returns the added geometry selection More...
 
unsafe bool Associative [get, set]
 Returns or sets the setting which decides whether the flattened solid will be associative to parent body. More...
 
unsafe bool FixAtTimestamp [get, set]
 Returns or sets the setting decides whether the flattened solid will be fixed at timestamp. More...
 
unsafe
NXOpen.Features.SheetMetal.CornerTreatmentBuilder 
InnerCornerTreatment [get]
 Returns the inner corner treatment corner object More...
 
unsafe
NXOpen.Features.SheetMetal.FlatSolidBuilder.OrientationType 
Orientation [get, set]
 Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
unsafe NXOpen.CoordinateSystem OrientationCsys [get, set]
 Returns or sets the orientation csys ** This is applicable to flat solid features created (or renewed) in NX12 and later release. More...
 
unsafe
NXOpen.Features.SheetMetal.CornerTreatmentBuilder 
OuterCornerTreatment [get]
 Returns the outer corner treatment corner object More...
 
unsafe NXOpen.Point3d ReferenceVertex [get, set]
 Returns or sets the end of the edge where the tangent will define the x axis for flat as solid. More...
 
unsafe NXOpen.SelectFace StationaryFace [get]
 Returns the stationary face selection More...
 
unsafe
NXOpen.Features.SheetMetal.FlatSolidBuilder.TransformComponentsOption 
TransformComponents [get, set]
 Returns or sets the setting indicating how to represent transformed components in flat solid. More...
 
unsafe bool TransformRestrictionAreas [get, set]
 Returns or sets the setting indicating whether to transform restriction areas in flat solid. More...
 
unsafe bool TransformToAbsoluteCsys [get, set]
 Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
unsafe NXOpen.SelectEdge XAxisEdge [get]
 Returns the x axis edge selection More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Flat As Solid feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateFlatSolidFeatureBuilder

Default values.

Property Value

Associative

true

InnerCornerTreatment.TreatmentType

None

InnerCornerTreatment.UseGlobal

1

InnerCornerTreatment.Value.Value

0 (millimeters part), 0 (inches part)

TransformComponents

None

TransformRestrictionAreas

0

Created in NX4.0.0

Member Enumeration Documentation

The enum defines how to orient flat solid body.

Enumerator
Default 

do not orient flat solid body

Edge 

transform flat solid body as per orientation defined by edge

Csys 

transform flat solid body as per orientation defined by CSYS

The enum defines how to represent PCB components on flat solid.

Enumerator
None 

do not transform components

Body 

transform components as bodies

Csys 

transform components as CSYS

Member Function Documentation

unsafe int NXOpen.Features.SheetMetal.FlatSolidBuilder.ValidateBuilderData ( )
inline

Validate the builder data

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
0 Means no errors.

Property Documentation

unsafe NXOpen.Section NXOpen.Features.SheetMetal.FlatSolidBuilder.AddedGeometry
get

Returns the added geometry selection

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.FlatSolidBuilder.Associative
getset

Returns or sets the setting which decides whether the flattened solid will be associative to parent body.

** This is applicable to flat solid features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as non associative.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatSolidBuilder.FixAtTimestamp
getset

Returns or sets the setting decides whether the flattened solid will be fixed at timestamp.

** This is applicable to flat solid features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as fixed at timestamp.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.CornerTreatmentBuilder NXOpen.Features.SheetMetal.FlatSolidBuilder.InnerCornerTreatment
get

Returns the inner corner treatment corner object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlatSolidBuilder.OrientationType NXOpen.Features.SheetMetal.FlatSolidBuilder.Orientation
getset

Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created (or renewed) to NX12 and later release.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.CoordinateSystem NXOpen.Features.SheetMetal.FlatSolidBuilder.OrientationCsys
getset

Returns or sets the orientation csys ** This is applicable to flat solid features created (or renewed) in NX12 and later release.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.CornerTreatmentBuilder NXOpen.Features.SheetMetal.FlatSolidBuilder.OuterCornerTreatment
get

Returns the outer corner treatment corner object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point3d NXOpen.Features.SheetMetal.FlatSolidBuilder.ReferenceVertex
getset

Returns or sets the end of the edge where the tangent will define the x axis for flat as solid.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.SelectFace NXOpen.Features.SheetMetal.FlatSolidBuilder.StationaryFace
get

Returns the stationary face selection

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlatSolidBuilder.TransformComponentsOption NXOpen.Features.SheetMetal.FlatSolidBuilder.TransformComponents
getset

Returns or sets the setting indicating how to represent transformed components in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatSolidBuilder.TransformRestrictionAreas
getset

Returns or sets the setting indicating whether to transform restriction areas in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatSolidBuilder.TransformToAbsoluteCsys
getset

Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created before NX12 release and not yet renewed. The API can not be deprecated because it is required to edit features created before NX12 release. But user should modify automation programs written before NX12 and replace use this option with the orientation option, before using the program to create new features in NX12 or later.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.SelectEdge NXOpen.Features.SheetMetal.FlatSolidBuilder.XAxisEdge
get

Returns the x axis edge selection

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.